Subject: Re: [PATCH 0/3] Reject non-ff pulls by default

From: John Keeping <[email-masked]>
Date: Thu, 5 Sep 2013 20:26:47 +0100

On Thu, Sep 05, 2013 at 12:18:45PM -0700, Junio C Hamano wrote:
> John Keeping <[email-masked]> writes:
> 
> > On Wed, Sep 04, 2013 at 03:59:18PM -0700, Junio C Hamano wrote:
> >> Are there cases where you do not want to either rebase nor merge?
> >> If so what do you want to do after "git pull" fetches from the other
> >> side?  Nothing?
> >
> > One other thing that I can see being useful occasionally is:
> >
> >     git rebase @{u}@{1} --onto @{u}
> >
> > which allows local commits to be replayed onto a rewritten upstream
> > branch.
> 
> Sure, that would make sense.
> 
> I somehow thought that rebase by default looked in the reflog to do
> exactly that. Perhaps I am not remembering correctly.

It just does @{upstream} by default, which tends to get messy if the
upstream has been rewritten.